Katello - Bug #7627

katello-disconnected fails with 'cannot load such file -- /lib/foreman '
09/24/2014 01:53 PM - Justin Sherrill

Status: Closed
Priority: Normal
Assignee: Mike McCune
Category: Inter Server Sync
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/469
Description
# katello-disconnected setup —--oauth-key=katello —--ocauth-secret=***xxxrkkdhkdkhhhrrrhhhhfhkhhrrrrrrr

KAk kKkAhkhkkhkkkkkkk*kk

/opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:36:in “require':

ch file —- /lib/foreman (LoadError)

cannot load su

from /opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:36:in  require'

from /opt/rh/rubyl93/root/usr/share/gems/gems/katello-2.1.0/1lib/katello.

quired)>"

from /opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:
from /opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:

equire'

from /opt/rh/rubyl93/root/usr/share/rubygems/rubygems/custom_require.rb:

from /usr/bin/katello-disconnected:22:in "~ <main>'

rb:

60:1
60:1

35:1

31l:in “<top (re

in “require'
in ‘rescue in r

in “require'

Associated revisions

Revision 29992eed - 09/30/2014 12:23 AM - Mike McCune

fixes #7627 - handle cases where this codte is ran outside of rails

When running katello ruby code outside of rails the Rails.root
is incorrectly set (katello-disconnected)

Revision 09cfc349 - 09/30/2014 10:07 AM - Mike McCune
Merge pull request #4690 from mccun934/20140929-0549

fixes #7627 - handle cases where this code is ran outside of rails

History

#1 - 09/27/2014 12:39 PM - Eric Helms

- Target version changed from 56 to 58

#2 - 09/29/2014 08:53 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4690 added
- Pull request deleted ()

#3 - 09/30/2014 11:03 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|29992eed023f16d4c4a52cdba73aff48c0280c0f.
